#! /usr/bin/env python
#

import sys

#  Add the Mp modules directory to the Python module load path.

sys.path[:0] = [ "/opt/mx/lib/mp" ]

import Mp

record_list = Mp.setup_database( "/opt/mx/etc/motor.dat" )

if ( len(sys.argv) != 2 ):
	print ""
	print "Usage:  mp_get_position motorname"
	print ""
	sys.exit(0);

motor_name = sys.argv[1]

motor = record_list.get_record( motor_name )

position = motor.get_position()

units = motor.get_field("units")

print "Motor '%s' position = %g %s" % (motor_name, position, units)

